Subject: Fwd: Question on RSVP-TE admission control

From: S Leung <[email-masked]>
Date: Thu, 7 Nov 2002 11:26:02 -0800 (PST)

Hi,

I am trying to understand how admission control
should work in RSVP-TE, and would very much appreciate
if anyone can give me some feedbacks on the following
questions that I have.

Thanks,
S Leung.

> Hi,
> 
> I have a question on RSVP-TE admission control.
> My understanding is that the actual bandwidth
> reservation is done when the RESV message is
> received, and the bandwidth is reserved on the
> interface from which the RESV message is received.
> 
> However, in RFC 3209 Section 4.7.3 it indicates that
> admission control happens upon the receipt of the
> PATH message.
> 
> "When a new Path message is considered for
> admission,
> the bandwidth requested is compared with the
> bandwidth
> available at the priority specified in the Setup
> Prio.
> 
> If the requested bandwidth is not available a
> PathErr
> message is returned with an Error Code of 01, 
> Admission Control Failure, and an Error Value of
> 0x0002..."
> 
> As reservation takes place at the outbound interface
> of the Path message, in order to do admission
> control
> that means the outbound interface of the Path
> message
> needs to be determined before CAC can be applied, my
> question is that why don't we wait until the Resv
> message is received, considering that the bandwidth
> requested can be modified/decreased by the egress
> router?
> 
> Also, I assume that the bandwidth requested is
> compared with the bandwidth available on the
> outbound
> interface, and pre-emption should only affect the
> LSPs
> that are routed on the same outbound interface, is
> that correct?
> 
> Thanks very much for your reply in advance.
> 
> S. Leung

__________________________________________________
Do you Yahoo!?
U2 on LAUNCH - Exclusive greatest hits videos
http://launch.yahoo.com/u2

---

From: Rajiv Asati <[email-masked]>
Date: Thu, 07 Nov 2002 20:42:53 -0500

Hi S Leung,

Please see inline..

> > interface from which the RESV message is received.

Nope.
What you have listed below is the correct behavior.

> > requested can be modified/decreased by the egress

So when the PATH message is received, the CAC is applied and if granted, 
the PATH message gets sent to the downstream router.
The BW is reserved (not really allocated) to this specific PATH message. If 
the RESV message comes back (for this PATH message), then the BW is allocated.

Now, if there is another PATH message received in between, and the 
requested BW is not available, then this PATH message is not sent to the 
downstream router.

Waiting for the RESV message for the BW reservation is not a good idea, 
since sending PATH message to the downstream routers (and all the way to 
the tunnel tail) when there is not sufficient BW available, doesn't make sense.

> > outbound interface, and pre-emption should only affect the
> > LSPs that are routed on the same outbound interface, is
> > that correct?

Yes.

hope this helps.
Cheers,
Rajiv

>-------
>The MPLS-OPS Mailing List
>Subscribe/Unsubscribe:  http://www.mplsrc.com/mplsops.shtml
>Archive: http://www.mplsrc.com/mpls-ops_archive.shtml